curl --request GET \
--url https://platform.kodexa.ai/api/content-objects/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/content-objects/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/content-objects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"contentMetadata": {},
"contentType": 123,
"created": "2023-11-07T05:31:56Z",
"createdOn": "2023-11-07T05:31:56Z",
"docTransitionType": "<string>",
"documentFamilyId": "<string>",
"documentTaxonValidations": [
{
"taxonPath": "<string>",
"taxonomyRef": "<string>",
"validation": {
"conditional": true,
"conditionalFormula": "<string>",
"description": "<string>",
"detailFormula": "<string>",
"disabled": true,
"exceptionId": "<string>",
"messageFormula": "<string>",
"name": "<string>",
"overridable": true,
"ruleFormula": "<string>",
"supportArticleId": "<string>"
}
}
],
"documentVersion": "<string>",
"id": "<string>",
"index": 123,
"metadata": {},
"mixins": [
"<string>"
],
"modified": "2023-11-07T05:31:56Z",
"name": "<string>",
"size": 123,
"source": {
"checksum": "<string>",
"cid": "<string>",
"connector": "<string>",
"created": "<string>",
"document_family_id": "<string>",
"headers": {},
"last_modified": "<string>",
"lineage_document_uuid": "<string>",
"mime_type": "<string>",
"original_filename": "<string>",
"original_path": "<string>",
"source_document_uuid": "<string>"
},
"sourceContentObjectId": "<string>",
"storeRef": "<string>",
"summary": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deleted": true,
"deletedDate": "2023-11-07T05:31:56Z"
}Get ContentObject by ID
Retrieves a single ContentObject by its unique identifier. Content objects represent individual files or processing results within a document family.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
The ContentObject
A content object represents an individual file or processing result within a document family.
Optimistic locking version number.
Content-level metadata extracted during processing.
Show child attributes
Show child attributes
Type of content: DOCUMENT or NATIVE.
Timestamp when the content object was created.
ID of the parent document family.
Show child attributes
Show child attributes
Document version identifier.
Unique identifier (UUID) for the content object.
Ordering index within the document family.
Metadata extracted from the content.
Show child attributes
Show child attributes
List of mixin names applied to this content object (e.g., spatial, workbook, text).
File size in bytes.
Source/origin metadata for the content object.
Show child attributes
Show child attributes
Reference to the storage location.
AI-generated summary of the content.
Timestamp when the content object was last updated.
Secondary UUID identifier.
